create table users
(
    id   integer primary key,
    name text not null
) strict;

create table history
(
    id integer primary key,
    user_id integer not null,
    timestamp date not null,
    amount integer not null
);

create table allowances
(
    id integer primary key,
	user_id integer not null,
    name text not null,
    target integer not null,
    progress integer not null,
    weight real not null
);

create table tasks
(
    id integer primary key,
    name text not null,
    reward integer not null,
    assigned integer
);

insert into users (name) values ('Seeseemelk'), ('Huffle');
